Bug 505925 - Firefox freezing at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
Firefox freezing at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 14:34 EDT by Randy Wyatt
Modified: 2010-01-11 10:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 10:40:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of Firefox freezing at Bugzilla (31.87 KB, text/plain)
2009-06-18 10:20 EDT, Randy Wyatt
no flags Details
screenshot of unresponsive script window (23.67 KB, image/png)
2009-07-05 11:05 EDT, Randy Wyatt
no flags Details

  None (edit)
Description Randy Wyatt 2009-06-14 14:34:21 EDT
Description of problem:
  I have repeatedly tried to enter bugs,  Everytime I select a component and backspace due to a typographical error, Firefox becomes frozen

Version-Release number of selected component (if applicable):
Firefox 3.5b4

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

How reproducible:

always
Steps to Reproduce:
1. Login to bugzilla
2. Attempt to enter in a component name, and backspace
3.Observe that firefox becomes unresponsive and has to be force-quit
  
Actual results:

Firefox has to be force-quit from gnome

Expected results:
There shouldn't be any problems entering the bug

Additional info:
Comment 1 Matěj Cepl 2009-06-18 06:04:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox freeze. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Randy Wyatt 2009-06-18 10:05:39 EDT
I will attach the backtrace in a moment.  Here is the information requested from rpm
rwwyatt@rwwyatt pki]$ rpm -qa *xulrun* *firefox* *mozilla* *plugin*
gstreamer-plugins-base-devel-0.10.23-1.fc11.x86_64
flash-plugin-10.0.22.87-release.i386
mozilla-vlc-1.0.0-0.11rc3.fc11.x86_64
plymouth-plugin-label-0.7.0-0.2009.05.15.1.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
PackageKit-yum-plugin-0.4.6-8.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
gstreamer-plugins-base-0.10.23-1.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64
setroubleshoot-plugins-2.0.16-1.fc11.noarch
totem-mozplugin-2.26.2-1.fc11.x86_64
gstreamer-plugins-ugly-0.10.11-2.fc11.x86_64
PackageKit-browser-plugin-0.4.6-8.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
konq-plugins-4.2.3-1.fc11.x86_64
kipi-plugins-0.2.0-2.fc11.x86_64
plymouth-plugin-space-flares-0.7.0-0.2009.05.15.1.fc11.x86_64
gstreamer-plugins-good-0.10.15-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.6-8.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.x86_64
firefox-3.5-0.20.beta4.fc11.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
xulrunner-devel-1.9.1-0.20.beta4.fc11.x86_64
plymouth-plugin-two-step-0.7.0-0.2009.05.15.1.fc11.x86_64
Comment 3 Randy Wyatt 2009-06-18 10:20:33 EDT
Created attachment 348475 [details]
Backtrace of Firefox freezing at Bugzilla
Comment 4 Matěj Cepl 2009-06-22 09:38:30 EDT
Kai, this backtrace seems like coming from ssl. Is it yours or not?
Comment 5 Kai Engert (:kaie) 2009-07-03 18:44:35 EDT
According to the stack a confirmation prompt is shown on the screen. Did you see it, and if yes, what did it say?
Comment 6 Randy Wyatt 2009-07-03 18:53:24 EDT
No confirmation prompt is seen on the desktop at any time.

Recently retested with:
root@rwwyatt ~]# rpm -qa *xulrun* *forefox* *mozilla* *flash* *plugin*
gstreamer-plugins-base-devel-0.10.23-3.fc11.x86_64
flash-plugin-10.0.22.87-release.i386
plymouth-plugin-label-0.7.0-0.2009.05.15.1.fc11.x86_64
konq-plugins-4.2.4-1.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
gstreamer-plugins-base-0.10.23-3.fc11.x86_64
PackageKit-browser-plugin-0.4.8-1.fc11.x86_64
xulrunner-1.9.1-1.fc11.x86_64
setroubleshoot-plugins-2.0.18-1.fc11.noarch
nspluginwrapper-1.3.0-5.fc11.x86_64
totem-mozplugin-2.26.2-1.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
kipi-plugins-0.2.0-2.fc11.x86_64
mozilla-vlc-1.0.0-0.12rc4.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.8-1.fc11.x86_64
nspluginwrapper-debuginfo-1.3.0-5.fc11.x86_64
xulrunner-devel-1.9.1-1.fc11.x86_64
plymouth-plugin-space-flares-0.7.0-0.2009.05.15.1.fc11.x86_64
gstreamer-plugins-good-0.10.15-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.x86_64
PackageKit-yum-plugin-0.4.8-1.fc11.x86_64
xulrunner-debuginfo-1.9.1-0.20.beta4.fc11.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
plymouth-plugin-two-step-0.7.0-0.2009.05.15.1.fc11.x86_64
gstreamer-plugins-ugly-0.10.12-1.fc11.x86_64
[root@rwwyatt ~]# 


The only window that I have seen at any time is related to the fact that there is a script problem, and it asks if I would like to continue or not.

I have serious concerns that it may be bugzilla itself as the extreme performance degradation/data stall seems to be recreatable with IE8 on Windows XP.
Comment 7 Randy Wyatt 2009-07-03 18:55:36 EDT
I just noticed my mistake in the new list of packages.  Here is the corrected list:

[root@rwwyatt ~]# rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
gstreamer-plugins-base-devel-0.10.23-3.fc11.x86_64
flash-plugin-10.0.22.87-release.i386
plymouth-plugin-label-0.7.0-0.2009.05.15.1.fc11.x86_64
konq-plugins-4.2.4-1.fc11.x86_64
gstreamer-plugins-farsight-0.12.10-2.fc11.x86_64
gstreamer-plugins-base-0.10.23-3.fc11.x86_64
PackageKit-browser-plugin-0.4.8-1.fc11.x86_64
xulrunner-1.9.1-1.fc11.x86_64
setroubleshoot-plugins-2.0.18-1.fc11.noarch
nspluginwrapper-1.3.0-5.fc11.x86_64
totem-mozplugin-2.26.2-1.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
kipi-plugins-0.2.0-2.fc11.x86_64
mozilla-vlc-1.0.0-0.12rc4.fc11.x86_64
firefox-3.5-1.fc11.x86_64
PackageKit-gstreamer-plugin-0.4.8-1.fc11.x86_64
nspluginwrapper-debuginfo-1.3.0-5.fc11.x86_64
xulrunner-devel-1.9.1-1.fc11.x86_64
plymouth-plugin-space-flares-0.7.0-0.2009.05.15.1.fc11.x86_64
gstreamer-plugins-good-0.10.15-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
anaconda-yum-plugins-1.0-4.fc11.noarch
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.x86_64
firefox-debuginfo-3.5-0.20.beta4.fc11.x86_64
PackageKit-yum-plugin-0.4.8-1.fc11.x86_64
xulrunner-debuginfo-1.9.1-0.20.beta4.fc11.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.x86_64
plymouth-plugin-two-step-0.7.0-0.2009.05.15.1.fc
Comment 8 Randy Wyatt 2009-07-03 19:26:27 EDT
I have just run the JavaScriptDebugger in Bugzilla to see if it is a Javascript error that is causing the script popup.

Here is what was posted:
#0: function fillit(field=HTMLInputElement:{1}, sel=string:"component") in <https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora> line 279

   var op = document.createElement("option");
 -    278         var tmp = null;
 -    279         for (var i = 0; i < list_len - 1; i++) {
 -    280             tmp = op.cloneNode(true);
 -    281             tmp.appendChild(document.createTextNode(list[i]));
Comment 9 Kai Engert (:kaie) 2009-07-05 07:22:30 EDT
If you can, please do
  debuginfo-install nss nspr

as I see no symbols here:

Thread 3 (Thread 0x7fd5934ef910 (LWP 21658)):
#0  0x00000036d760e2cc in __libc_send (fd=89, buf=<value optimized out>, 
    n=<value optimized out>, flags=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/x86_64/send.c:33
#1  0x00000036e9827b3d in pt_Send (fd=0x7fd5781fdb50, buf=0x7fd5781b4000, 
    amount=23, flags=0, timeout=0)
---Type <return> to continue, or q <return> to quit---
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1932
#2  0x00000036eb017dcb in ?? () from /lib64/libssl3.so
#3  0x00000036eb009e21 in ?? () from /lib64/libssl3.so
#4  0x00000036eb00a1af in ?? () from /lib64/libssl3.so
#5  0x00000036eb01b363 in ?? () from /lib64/libssl3.so
#6  0x0000003baab5b9bc in nsNSSSocketInfo::CloseSocketAndDestroy (
    this=0x7fd58ad3ff20) at nsNSSIOLayer.cpp:1526
#7  0x0000003baab4ace2 in nsSSLThread::requestClose (si=0x7fd58ad3ff20)
    at nsSSLThread.cpp:423


Why would we continue to send out data, when we are about to close?
Comment 10 Kai Engert (:kaie) 2009-07-05 07:23:54 EDT
If you got an error that a script is stuck, then your freezing might well be caused by that. The fact we are seeing SSL calls in the stacks might be simply because data is being transfered over SSL?
Comment 11 Randy Wyatt 2009-07-05 11:05:45 EDT
Created attachment 350538 [details]
screenshot of unresponsive script window
Comment 12 Randy Wyatt 2009-07-05 11:07:41 EDT
I have installed nss and nspr debug info.  In this attempt, I made sure all tabs except for Bugzilla were closed:
[
rwwyatt@rwwyatt ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox-3.5
  LD_LIBRARY_PATH=/usr/lib64/firefox-3.5:/usr/lib64/firefox-3.5/plugins:/usr/lib64/firefox-3.5
DISPLAY=:0.0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox-3.5/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox-3.5:/usr/lib64/firefox-3.5
     LIBRARY_PATH=/usr/lib64/firefox-3.5:/usr/lib64/firefox-3.5/components:/usr/lib64/firefox-3.5
       SHLIB_PATH=/usr/lib64/firefox-3.5:/usr/lib64/firefox-3.5
          LIBPATH=/usr/lib64/firefox-3.5:/usr/lib64/firefox-3.5
       ADDON_PATH=/usr/lib64/firefox-3.5
      MOZ_PROGRAM=/usr/lib64/firefox-3.5/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/rwwyatt/bin)
/usr/bin/gdb /usr/lib64/firefox-3.5/firefox -x /tmp/mozargs.nn6mpb
GNU gdb (GDB) Fedora (6.8.50.20090302-32.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run
Starting program: /usr/lib64/firefox-3.5/firefox 
[Thread debugging using libthread_db enabled]

(firefox:25254): GnomeUI-WARNING **: While connecting to session manager:
None of the authentication protocols specified are supported.
[New Thread 0x7ff63c6f0910 (LWP 25257)]
[New Thread 0x7ff63bcef910 (LWP 25258)]
[New Thread 0x7ff63b0e4910 (LWP 25259)]
[New Thread 0x7ff638cff910 (LWP 25260)]
[New Thread 0x7ff6366d2910 (LWP 25261)]
[New Thread 0x7ff635cd1910 (LWP 25262)]
[New Thread 0x7ff6350ff910 (LWP 25263)]
[New Thread 0x7ff633bff910 (LWP 25264)]
[Thread 0x7ff638cff910 (LWP 25260) exited]
[New Thread 0x7ff638cff910 (LWP 25265)]
[New Thread 0x7ff6304ff910 (LWP 25266)]
[Thread 0x7ff6304ff910 (LWP 25266) exited]
Detaching after fork from child process 25267.
Detaching after fork from child process 25277.
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/nppdf.so [/usr/lib/mozilla/plugins/nppdf.so: wrong ELF class: ELFCLASS32]
[New Thread 0x7ff6304ff910 (LWP 25341)]
[New Thread 0x7ff62b1ff910 (LWP 25342)]
Detaching after fork from child process 25343.
[New Thread 0x7ff6239ff910 (LWP 25346)]
[New Thread 0x7ff622ffe910 (LWP 25347)]
[Thread 0x7ff6239ff910 (LWP 25346) exited]
[Thread 0x7ff622ffe910 (LWP 25347) exited]
[New Thread 0x7ff622ffe910 (LWP 25348)]
[New Thread 0x7ff6239ff910 (LWP 25349)]
[Thread 0x7ff622ffe910 (LWP 25348) exited]
[Thread 0x7ff6239ff910 (LWP 25349) exited]
[New Thread 0x7ff6239ff910 (LWP 25350)]
[Thread 0x7ff6239ff910 (LWP 25350) exited]
[New Thread 0x7ff6239ff910 (LWP 25351)]
[Thread 0x7ff6239ff910 (LWP 25351) exited]
[New Thread 0x7ff6239ff910 (LWP 25352)]
[New Thread 0x7ff622ffe910 (LWP 25353)]
[Thread 0x7ff6239ff910 (LWP 25352) exited]
[Thread 0x7ff622ffe910 (LWP 25353) exited]
[New Thread 0x7ff622ffe910 (LWP 25354)]
[Thread 0x7ff622ffe910 (LWP 25354) exited]
[New Thread 0x7ff622ffe910 (LWP 25355)]
[Thread 0x7ff633bff910 (LWP 25264) exited]
[New Thread 0x7ff633bff910 (LWP 25356)]
[New Thread 0x7ff6239ff910 (LWP 25386)]
[New Thread 0x7ff61f3ff910 (LWP 25387)]
[Thread 0x7ff6239ff910 (LWP 25386) exited]
[Thread 0x7ff61f3ff910 (LWP 25387) exited]
[Thread 0x7ff62b1ff910 (LWP 25342) exited]
[Thread 0x7ff6366d2910 (LWP 25261) exited]
[Thread 0x7ff635cd1910 (LWP 25262) exited]
[Thread 0x7ff6350ff910 (LWP 25263) exited]
[Thread 0x7ff6304ff910 (LWP 25341) exited]
[Thread 0x7ff63bcef910 (LWP 25258) exited]
[Thread 0x7ff638cff910 (LWP 25265) exited]
[Thread 0x7ff622ffe910 (LWP 25355) exited]
[Thread 0x7ff63b0e4910 (LWP 25259) exited]
[Thread 0x7ff633bff910 (LWP 25356) exited]
[Thread 0x7ff63c6f0910 (LWP 25257) exited]

Program exited normally.
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.17-1.fc11.x86_64 PackageKit-browser-plugin-0.4.8-1.fc11.x86_64 PackageKit-glib-0.4.8-1.fc11.x86_64 PackageKit-gtk-module-0.4.8-1.fc11.x86_64 PolicyKit-0.9-6.fc11.x86_64 audiofile-0.2.6-10.fc11.x86_64 avahi-0.6.25-3.fc11.x86_64 avahi-glib-0.6.25-3.fc11.x86_64 bug-buddy-2.26.0-2.fc11.x86_64 bzip2-libs-1.0.5-5.fc11.x86_64 cyrus-sasl-lib-2.1.22-22.fc11.x86_64 dbus-glib-0.80-2.fc11.x86_64 dbus-libs-1.2.12-1.fc11.x86_64 e2fsprogs-libs-1.41.4-10.fc11.x86_64 elfutils-libelf-0.141-1.fc11.x86_64 esound-libs-0.2.41-2.fc11.x86_64 expat-2.0.1-6.x86_64 gamin-0.1.10-4.fc11.x86_64 gdbm-1.8.0-31.fc11.x86_64 gnome-keyring-2.26.1-1.fc11.x86_64 gtk-nodoka-engine-0.7.2-4.fc11.x86_64 gvfs-1.2.3-7.fc11.x86_64 keyutils-libs-1.2-5.fc11.x86_64 krb5-libs-1.6.3-20.fc11.x86_64 libICE-1.0.4-7.fc11.x86_64 libSM-1.1.0-4.fc11.x86_64 libX11-1.2.1-2.fc11.x86_64 libXScrnSaver-1.1.3-2.fc11.x86_64 libXau-1.0.4-5.fc11.x86_64 libXcomposite-0.4.0-7.fc11.x86_64 libXcursor-1.1.9-4.fc11.x86_64 libXdamage-1.1.1-6.fc11.x86_64 libXext-1.0.99.1-2.fc11.x86_64 libXfixes-4.0.3-5.fc11.x86_64 libXi-1.2.1-1.fc11.x86_64 libXinerama-1.0.3-4.fc11.x86_64 libXrandr-1.2.99.4-3.fc11.x86_64 libXrender-0.9.4-5.fc11.x86_64 libXt-1.0.5-2.fc11.x86_64 libXtst-1.0.3-5.fc11.x86_64 libacl-2.2.47-4.fc11.x86_64 libarchive-2.6.2-1.fc11.x86_64 libart_lgpl-2.3.20-4.fc11.x86_64 libasyncns-0.7-2.fc11.x86_64 libattr-2.4.43-3.fc11.x86_64 libbonobo-2.24.1-1.fc11.x86_64 libbonoboui-2.24.1-1.fc11.x86_64 libcanberra-0.12-1.fc11.x86_64 libcanberra-gtk2-0.12-1.fc11.x86_64 libcap-2.16-2.fc11.x86_64 libcroco-0.6.2-2.fc11.x86_64 libcurl-7.19.4-8.fc11.x86_64 libgnome-2.26.0-1.fc11.x86_64 libgnomecanvas-2.26.0-1.fc11.x86_64 libgnomeui-2.24.1-1.fc11.x86_64 libgsf-1.14.11-3.fc11.x86_64 libidn-1.9-4.x86_64 libjpeg-6b-45.fc11.x86_64 libogg-1.1.3-11.fc11.x86_64 libpng-1.2.37-1.fc11.x86_64 librsvg2-2.26.0-1.fc11.x86_64 libselinux-2.0.80-1.fc11.x86_64 libssh2-1.0-2.fc11.x86_64 libtdb-1.1.3-14.fc11.x86_64 libtool-ltdl-2.2.6-11.fc11.x86_64 libvorbis-1.2.0-7.fc11.x86_64 libxcb-1.2-4.fc11.x86_64 libxml2-2.7.3-2.fc11.x86_64 lzma-libs-4.32.7-2.fc11.x86_64 openldap-2.4.15-3.fc11.x86_64 openssl-0.9.8k-5.fc11.x86_64 pixman-0.14.0-2.fc11.x86_64 popt-1.13-5.fc11.x86_64 pulseaudio-libs-0.9.15-14.fc11.x86_64 rhythmbox-0.12.1-3.fc11.x86_64 tcp_wrappers-libs-7.6-55.fc11.x86_64 zlib-1.2.3-22.fc11.x86_64
(gdb) 

So it looks like it is definitely a bugzilla/firefox interworking issue.  Is there a way to start firefox in safe mode with debugging so I can rule out an extension interaction?
Comment 13 Randy Wyatt 2009-07-05 11:58:54 EDT
I can confirm this is not an extension issue as I started Firefox in safe mode with all extensions disabled.

Please let me know if there is anything else that I need to try.
Comment 15 Kai Engert (:kaie) 2009-07-22 18:37:28 EDT
I have now tested on a Fedora 11 system with most recent updates.

You say the error happens when you type backspace in the web form.
Is there really any SSL traffic involved at this point?

When I try to reproduce your action, I confirm that on the first backspace, it appears to be stuck.

However, after a few seconds, everything goes back to normal.

I can not reproduce a freeze.
Comment 16 Kai Engert (:kaie) 2009-07-22 18:51:19 EDT
Now tested on both fedora 11 32 bit and 64 bit, works for me on both, can't reproduce.

Please try to upgrade all your packages to latest, and report whether it still freezes for you.

Please allow a bit of time to ensure you aren't under the impression because you're on a slow machine.

My test was:
- go to https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora
- click into the component edit field
- type firef
  (this is slow already. temporarily appears to freeze at "fi", 
   then continues)
- type backspace once

after a couple of seconds, the screen is updated to display "fire" and all is fine and responsive
Comment 17 Randy Wyatt 2009-07-22 19:15:03 EDT
This is not a firefox issue,  but rather a bugzilla issue.  

Even in internet explorer, the above sequence is spiking the CPU utilization where the individual IE process is taking 97% of the CPU.  

This needs to be reassigned to the bugzilla package and corrected as this spike is pure unacceptable.
Comment 18 Matěj Cepl 2009-11-01 15:59:43 EST
(In reply to comment #17)
> This is not a firefox issue,  but rather a bugzilla issue.  
> 
> Even in internet explorer, the above sequence is spiking the CPU utilization
> where the individual IE process is taking 97% of the CPU.  
> 
> This needs to be reassigned to the bugzilla package and corrected as this spike
> is pure unacceptable.  

Just to be sure, we are seeing the same ... is Firefox really stone frozen? If you wait up to couple of minutes, doesn't it get back to the life?

There is a known problem that when creating the form on this page, Firefox has to download and then build a list of all (>5000) components, which takes A LOT of time. There is not much which could be done on the Firefox side. There are plans to use AJAX wizardry in Bugzilla, but it hasn't been done yet.

Just to be sure, that we are not seeing just this known issue.
Comment 19 Chris Campbell 2009-11-28 11:25:13 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Chris Campbell 2010-01-11 10:40:58 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.